
Infrastructure - Story #3305

Update index processing to include obsolete documents.

2012-10-05 20:12 - Skye Roseboom

Status: Closed Start date: 2012-10-05

Priority: Normal Due date: 2012-10-27

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.41-Block.6.1   

Story Points:    

Description

Story includes the following pieces:

1.) Update index processing logic to index and keep obsolete documents.

2.) Add new schema field 'obsoletedBy' to record what which pid/document obsoletes this document.  Inverse of the 'obsoletes'

relationship.

3.) Update one-mercury to set query to not display obsolete search results, facet results. (-obsoletedBy:*).

History

#1 - 2012-10-05 20:46 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-10-05 20:50 - Skye Roseboom

- Description updated

#3 - 2012-10-05 20:50 - Skye Roseboom

- Description updated

#4 - 2012-10-09 03:39 - Skye Roseboom

- Description updated

- Status changed from In Progress to Closed

3 tasks complete.  Tested on cn-dev-unm-1.  Verified the hide obsolete fq was applied to search querys.
